Bug 796155 - iface_ip2str returned NULL
iface_ip2str returned NULL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F17Beta/F17BetaBlocker
  Show dependency treegraph
 
Reported: 2012-02-22 07:00 EST by Hongqing Yang
Modified: 2012-03-23 13:45 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-17.14-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 13:45:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda log (2.68 KB, text/plain)
2012-02-22 07:00 EST, Hongqing Yang
no flags Details
syslog (70.08 KB, text/plain)
2012-02-22 07:04 EST, Hongqing Yang
no flags Details
failing funcgtion iface_ip2str.c (1.76 KB, text/plain)
2012-02-22 08:21 EST, Radek Vykydal
no flags Details

  None (edit)
Description Hongqing Yang 2012-02-22 07:00:12 EST
Created attachment 564927 [details]
anaconda log

Description of problem:
This tries to cover the test case
https://fedoraproject.org/wiki/QA:Testcase_Kickstart_Nfs_Server_Path_Ks_Cfg

boot the system with kernel parameter "ks=nfs:ip:/var/ftp/pub/ks.cfg",
the error occurred.

the network of the host is bridge.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hongqing Yang 2012-02-22 07:04:21 EST
Created attachment 564928 [details]
syslog
Comment 2 Radek Vykydal 2012-02-22 08:21:23 EST
Created attachment 564961 [details]
failing funcgtion iface_ip2str.c

This happens also with ks=http:// for me. ifacd_ip2str function is failing. I can see this message on screen:

** WARNING **: handle_property_changed: failed to update property 'active-connections' of object type NMClient

Also, NM was updated in RC3, the changes:

* Wed Feb 15 2012 Dan Williams <dcbw@redhat.com> - 0.9.3-0.1 
- Update to 0.9.4 snapshot
- wimax: enable optional support for Intel WiMAX devices
- core: use nl80211 for WiFi device control
- core: add basic support for Infiniband IP interfaces
- core: add basic support for bonded interfaces
- core: in-process IP configuration no longer blocks connected state 

I wonder if the last one can cause the issue.
Comment 3 Radek Vykydal 2012-02-22 08:24:58 EST
(In reply to comment #2)
 
> This happens also with ks=http:// for me. ifacd_ip2str function is failing. I
> can see this message on screen:

sorry, it doesn't happen for http:// case
Comment 4 Adam Williamson 2012-03-02 12:21:13 EST
Discussed at 2011-03-02 blocker review meeting. Accepted as a blocker per criterion "The installer must be able to use all kickstart delivery methods".



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Radek Vykydal 2012-03-06 05:04:41 EST
The failing function should go away with loader in F17.
Comment 6 Hongqing Yang 2012-03-07 02:53:44 EST
reproduced with F17 Beta TC1
Comment 7 Brian Lane 2012-03-15 18:00:34 EDT
Dan, do you have any suggestions? Did NM change the way we're mapping interface name to ip?
Comment 8 Adam Williamson 2012-03-19 19:47:51 EDT
This ought to be fixed in TC2 with anaconda 17.13 with noloader. Tao Wu has marked that test as passing for TC2: Hongqing, can we say that you two have confirmed this is fixed in TC2?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Hongqing Yang 2012-03-19 23:30:06 EDT
(In reply to comment #8)
> This ought to be fixed in TC2 with anaconda 17.13 with noloader. Tao Wu has
> marked that test as passing for TC2: Hongqing, can we say that you two have
> confirmed this is fixed in TC2?
> 
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers

This is fixed with F17 Beta TC2
Comment 10 Fedora Update System 2012-03-23 01:18:15 EDT
anaconda-17.14-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.14-1.fc17
Comment 11 Fedora Update System 2012-03-23 13:10:21 EDT
Package anaconda-17.14-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-17.14-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4546/anaconda-17.14-1.fc17
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-03-23 13:45:38 EDT
anaconda-17.14-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.